org.eclipse.ui.views.tasklist

## Class TaskList

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.ui.views.tasklist.TaskList

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

Deprecated.
This view is no longer in use as of Eclipse 3.4. The view referenced by `IPageLayout.ID_TASK_LIST` is an `MarkerSupportView`.

    @Deprecated
    public class TaskList
    extends ViewPart

Main class for the Task List view for displaying tasks and problem annotations on resources, and for opening an editor on the resource when the user commands.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`TaskList()` Deprecated. Creates a new task list view.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `createPartControl(Composite parent)` Deprecated. Creates the SWT controls for this workbench part.
`void` `dispose()` Deprecated. The `WorkbenchPart` implementation of this `IWorkbenchPart` method disposes the title image loaded by `setInitializationData`.
`void` `edit(IMarker marker)` Deprecated. Activates the editor on the given marker.
`<T> T` `getAdapter(Class<T> adapterType)` Deprecated. Returns an object which is an instance of the given class associated with this object.
`IResource` `getResource()` Deprecated. Returns the resource for which the task list is showing tasks.
`IResource[]` `getResources()` Deprecated. Get the resources.
`ISelection` `getSelection()` Deprecated. API method which returns the current selection.
`void` `init(IViewSite site, IMemento memento)` Deprecated. Initializes this view with the given view site.
`void` `saveState(IMemento memento)` Deprecated. Saves the object state within a memento.
`void` `setFocus()` Deprecated. Asks this part to take focus within the workbench.
`void` `setSelection(ISelection selection, boolean reveal)` Deprecated. API method which sets the current selection of this viewer.

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Constructor Detail

#### TaskList

    public TaskList()

Deprecated.
Creates a new task list view.

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

Deprecated.
Description copied from interface: `IWorkbenchPart`
Creates the SWT controls for this workbench part.

Clients should not call this method (the workbench calls this method when it needs to, which may be never).

For implementors this is a multi-step process:

1. Create one or more controls within the parent.
2. Set the parent layout as needed.
3. Register any global actions with the site's `IActionBars`.
4. Register any context menus with the site.
5. Register a selection provider with the site, to make it available to the workbench's `ISelectionService` (optional).

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`
Parameters:
  `parent` - the parent control

#### dispose

    public void dispose()

Deprecated.
Description copied from class: `WorkbenchPart`
The `WorkbenchPart` implementation of this `IWorkbenchPart` method disposes the title image loaded by `setInitializationData`. Subclasses may extend.

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

#### edit

    public void edit(IMarker marker)

Deprecated.
Activates the editor on the given marker.

Parameters:
  `marker` - the marker to edit

#### getAdapter

    public <T> T getAdapter(Class<T> adapterType)

Deprecated.
Description copied from class: `WorkbenchPart`
Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

Clients may implement this method but should generally call `Adapters.adapt(Object, Class, boolean)` rather than invoking it directly. Subclasses may override this method (however, if they do so, they should invoke the method on their superclass to ensure that the Platform's adapter manager is consulted).

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `WorkbenchPart`
Parameters:
  `adapterType` - the adapter class to look up
Returns:
  a object of the given class, or `null` if this object does not have an adapter for the given class

#### getResource

    public IResource getResource()

Deprecated.
Returns the resource for which the task list is showing tasks.

Returns:
  the resource, possibly the workspace root

#### getResources

    public IResource[] getResources()

Deprecated.
Get the resources.

Returns:
  the resources

#### getSelection

    public ISelection getSelection()

Deprecated.
API method which returns the current selection.

Returns:
  the current selection (element type: `IMarker`)

#### init

    public void init(IViewSite site,
                     IMemento memento)
              throws PartInitException

Deprecated.
Description copied from interface: `IViewPart`
Initializes this view with the given view site. A memento is passed to the view which contains a snapshot of the views state from a previous session. Where possible, the view should try to recreate that state within the part controls.

This method is automatically called by the workbench shortly after the part is instantiated. It marks the start of the views's lifecycle. Clients must not call this method.

Specified by:
  `init` in interface `IViewPart`
Overrides:
  `init` in class `ViewPart`
Parameters:
  `site` - the view site
  `memento` - the IViewPart state or null if there is no previous saved state
Throws:
  `PartInitException` - if this view was not initialized successfully

#### saveState

    public void saveState(IMemento memento)

Deprecated.
Description copied from interface: `IViewPart`
Saves the object state within a memento.

Specified by:
  `saveState` in interface `IPersistable`
Specified by:
  `saveState` in interface `IViewPart`
Overrides:
  `saveState` in class `ViewPart`
Parameters:
  `memento` - a memento to receive the object state

#### setFocus

    public void setFocus()

Deprecated.
Description copied from interface: `IWorkbenchPart`
Asks this part to take focus within the workbench. Parts must assign focus to one of the controls contained in the part's parent composite.

Clients should not call this method (the workbench calls this method at appropriate times). To have the workbench activate a part, use `IWorkbenchPage.activate(IWorkbenchPart) instead`.

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

#### setSelection

    public void setSelection(ISelection selection,
                             boolean reveal)

Deprecated.
API method which sets the current selection of this viewer.

Parameters:
  `selection` - a structured selection of `IMarker` objects
  `reveal` - `true` to reveal the selection, <false> otherwise